import { BulkIdsDto } from "../dtos/asset-ids.response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { StackCreateDto, StackResponseDto, StackSearchDto, StackUpdateDto } from "../dtos/stack.dto";
import { BaseService } from "./base.service";
import { UUIDAssetIDParamDto } from "../validation";
export declare class StackService extends BaseService {
    search(auth: AuthDto, dto: StackSearchDto): Promise<StackResponseDto[]>;
    create(auth: AuthDto, dto: StackCreateDto): Promise<StackResponseDto>;
    get(auth: AuthDto, id: string): Promise<StackResponseDto>;
    update(auth: AuthDto, id: string, dto: StackUpdateDto): Promise<StackResponseDto>;
    delete(auth: AuthDto, id: string): Promise<void>;
    deleteAll(auth: AuthDto, dto: BulkIdsDto): Promise<void>;
    removeAsset(auth: AuthDto, dto: UUIDAssetIDParamDto): Promise<void>;
    private findOrFail;
}
